package com.ruoyi.api.service.impl;

import com.ruoyi.api.domain.BroadCountNumber;
import com.ruoyi.api.mapper.BroadApiMapper;
import com.ruoyi.manage.domain.BaseStore;
import com.ruoyi.manage.domain.LedgerRfid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/3/1  13:30
 */
@Service
public class BroadApiService {
@Autowired
private BroadApiMapper mapper;



    public List<BaseStore> getArea() {
        return mapper.getArea();
    }

    public List<BroadCountNumber> getCountNumberById(int id) {
        return mapper.getCountNumberById(id);
    }

    public List<LedgerRfid> getLedgerByCode(String locationCode) {
        return mapper.getLedgerByCode(locationCode);
    }
}
